div(ng-include='"components/navbar/navbar.html"')
.container
  .row
    .col-md-12
      h1 Organise
      .container
        .row
          .col-md-12
            h2 Sources
            form.form-horizontal
              .form-group
                .col-sm-3
                  input#name-search.form-control(type='text', placeholder='Filter by name', ng-model="search.name")
                .col-sm-3
                  input#type-search.form-control(type='text', placeholder='Filter by type', ng-model="search.type")
            //existing sources
            .existing-source.animate(ng-repeat="source in sources | orderBy:'-created_at' | filter: search", style="margin-bottom:10px", ng-controller='sourceCaptureCtrl')
              .well
                .row
                  .col-xs-10
                    p
                      i.fa.fa-file-text-o(aria-hidden="true" ng-if="source.type.indexOf('text') > -1",style="margin-right:5px")
                      i.fa.fa-twitter(aria-hidden="true" ng-if="source.type.indexOf('twitter') > -1",style="margin-right:5px")
                      i.fa.fa-random(aria-hidden="true" ng-if="source.type.indexOf('blend') > -1",style="margin-right:5px")
                      strong {{source.name}}
                      .small
                        | {{source.data.length}} records | type: {{source.type}}
                  .col-xs-2  
                    button.close.pull-right(type='button', ng-click='deleteSource(source)') ×
                .row
                  .col-md-12
                    form
                      .input-group
                        input.form-control(type='text', placeholder='Name', ng-model='source.name')
                        span.input-group-btn
                          button.btn.btn-default(type='button', ng-click='save(source)') Save           
                    h5 Fields:
                    h4
                      field-status-button(field='field','is-for'='source', ng-repeat='field in source.fields')
                    .clearfix


